Not compatible with Vista x64.... :(

Mar 6, 2009 at 1:48 AM
Due to the dependency on Windows Live ID SDK, I am unable to install this on Vista x64.

Any idea when / if Windows Live ID SDK can be installed on Vista x64?